This module generates PDFs of webpages on other modules.

When requesting a PDF, you need to provide something like the following:
```
{
  url: module will HTTP GET this.  Includes any query parameters already.
  token: to be added to the authorization header
  template_id: the template to use when printing.  Optional - will default to some basic letter configuration.  May allow user to define their own default down the line.
  local_storage: key-value pairs to inject into js local storage
  timeout: in milliseconds, when to tell pupepteer to abort
  render_select: a css selector - will wait for this to render before taking snapshot
  permission_target_info: (module id, noun, verb) only allow users with this permission to download the pdf if specified
}
```
This can be a single object or an array.  If you provide an array, the PDFs will be generated and the pages merged into a single PDF, which will be the final result.

See https://git.satisloh.dev/rx-suite/libraries/ruby-gems/rx_module/-/blob/master/lib/rx_module/communicator/pdf.rb for the communication wrapper.

The generation endpoint will return an id you can use in another endpoint that returns one of:
*  Still generating
*  The PDF itself
*  The generation error.
*  Forbidden (permission check failed)

### Development Note
You must run `bundle exec rake make_exe` to build the executable