import * as React from 'react';
import {t} from "@lingui/macro";
import {LinearProgress} from "@material-ui/core";
import {observer} from "mobx-react-lite";
import {PdfResultModel} from "../../stores/PdfResultStore";

export const ResultStatus: React.FunctionComponent<{ result: PdfResultModel }> = observer(({result}) => {
    if (result.generating) {
        if (result.generation_percent !== null && result.generation_percent !== undefined) {
            return <LinearProgress variant="determinate" value={result.generation_percent}/>
        } else {
            return <LinearProgress/>
        }
    } else {
        if (result.generation_error) {
            return <span>{t`Error`}: {result.generation_error}</span>
        } else {
            return <span>{t`Done`}</span>
        }
    }
});

