import {AppSwitcherMenu, dataStorePermission, RouteDefinition} from "@rx-suite/ui";
import {TemplateBreadModel} from "./pages/templates/TemplateBreadModel";
import {ResultsBreadModel} from "./pages/results/ResultsBreadModel";
import {Assignment, Edit, PictureAsPdf} from '@material-ui/icons';
import {TemplateStore} from './stores/TemplateStore';
import {t} from "@lingui/macro";

export const routes: RouteDefinition[] = [
    {
        label: '',
        to: "/",
        exact: true,
        Component: AppSwitcherMenu
    },
    {
        label: t`Templates`,
        to: "/templates",
        help: t`A template defines what a page looks like in a PDF - height, width, margins, etc.`,
        exact: false,
        permission: dataStorePermission(TemplateStore),
        Component: TemplateBreadModel,
        Icon: Edit
    },
    {
        label: t`Results`,
        to: "/results",
        help: t`View previously exported PDF data`,
        exact: false,
        Component: ResultsBreadModel,
        Icon: PictureAsPdf
    },
    {
        label: t`Reports`,
        to: 'report_components',
        exact: true,
        Icon: Assignment,
        module: 'rx_reports'
    }
];
