RxModule.configure do |config|
  config.module_id = "rx_pdf"
  config.module_name = "Rx-PDF Generator"
  config.rx_hub_url = ENV["RX_HUB_URL"]
  config.module_description = "Allows generation of PDFs by other Rx-Modules"
  config.module_icon = Rails.root.join("public", "icon.svg")
  config.module_logo = Rails.root.join("public", "logo.png")
  config.module_version = JSON.parse(File.read(Rails.root.join("package.json")), create_additions: false, symbolize_names: true)[:version]
  config.mes_logo = Rails.root.join("public", "mes-logo.png")
  config.disable_worker_broadcasts = true
end

module RxModule
  module Zip
    class << self
      def build_exclusions
        @buildexclusions ||= (%w[log storage test tmp pkg build node_modules .git .idea .env .bundle .yalc {} vendor/bundle public/packs-test generator_executable_src] + sqlite_exclusions).map do |f|
          Rails.root.join(f).to_s
        end
      end
    end
  end
end
