# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2023_05_08_155525) do

  create_table "active_storage_attachments", force: :cascade do |t|
    t.string "name", null: false
    t.string "record_type", null: false
    t.bigint "record_id", null: false
    t.bigint "blob_id", null: false
    t.datetime "created_at", null: false
    t.index ["blob_id"], name: "index_active_storage_attachments_on_blob_id"
    t.index ["record_type", "record_id", "name", "blob_id"], name: "index_active_storage_attachments_uniqueness", unique: true
  end

  create_table "active_storage_blobs", force: :cascade do |t|
    t.string "key", null: false
    t.string "filename", null: false
    t.string "content_type"
    t.text "metadata"
    t.bigint "byte_size", null: false
    t.string "checksum", null: false
    t.datetime "created_at", null: false
    t.index ["key"], name: "index_active_storage_blobs_on_key", unique: true
  end

  create_table "pdf_results", force: :cascade do |t|
    t.string "name"
    t.string "notes"
    t.string "module_id"
    t.string "target_id"
    t.string "action_id"
    t.boolean "generating"
    t.float "generation_percent"
    t.string "generation_error"
    t.string "sources"
    t.string "local_storage"
    t.string "pdf_cache_key"
    t.integer "keep_for"
    t.bigint "template_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["template_id"], name: "index_pdf_results_on_template_id"
  end

  create_table "rx_module_logger_configs", force: :cascade do |t|
    t.string "location"
    t.string "level"
    t.integer "archive_count"
    t.integer "max_size"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_model_audit_lines", force: :cascade do |t|
    t.bigint "rx_module_model_audit_id", null: false
    t.text "before"
    t.text "after"
    t.string "column"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["rx_module_model_audit_id"], name: "index_rx_module_model_audit_lines_on_rx_module_model_audit_id"
  end

  create_table "rx_module_model_audits", force: :cascade do |t|
    t.string "user_id"
    t.string "user_email"
    t.string "user_role"
    t.string "table"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "model_id"
  end

  create_table "rx_module_tokens", force: :cascade do |t|
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "owner"
  end

  create_table "rx_module_update_histories", force: :cascade do |t|
    t.string "user"
    t.string "from_version"
    t.string "to_version"
    t.boolean "was_error"
    t.string "error_msg"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "in_progress"
    t.index ["created_at"], name: "index_rx_module_update_histories_on_created_at"
  end

  create_table "rx_module_worker_broadcasts", force: :cascade do |t|
    t.string "model_global_id"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "templates", force: :cascade do |t|
    t.string "name"
    t.string "desc"
    t.float "width"
    t.float "height"
    t.float "margin_top"
    t.float "margin_bottom"
    t.float "margin_left"
    t.float "margin_right"
    t.boolean "landscape"
    t.string "length_unit"
    t.string "canned_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  add_foreign_key "active_storage_attachments", "active_storage_blobs", column: "blob_id"
  add_foreign_key "pdf_results", "templates", on_delete: :nullify
  add_foreign_key "rx_module_model_audit_lines", "rx_module_model_audits"
end
