# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rails db:seed command (or created alongside the database with db:setup).
#
# Examples:
#
#   movies = Movie.create([{ name: 'Star Wars' }, { name: 'Lord of the Rings' }])
#   Character.create(name: 'Luke', movie: movies.first)

letter = Template.where(canned_id: "letter").first_or_create
letter.update(
  {
    name: "Letter",
    desc: "Standard letter paper",
    width: 21.6,
    height: 27.9,
    margin_top: 1,
    margin_bottom: 1.5,
    margin_left: 0.5,
    margin_right: 0.5,
    length_unit: "cm"
  }
)
letter_landscape = Template.where(canned_id: "letter_landscape").first_or_create
letter_landscape.update(
  {
    name: "Letter (Landscape)",
    desc: "Standard letter paper (Rotated)",
    width: 21.6,
    height: 27.9,
    margin_top: 1,
    margin_bottom: 1.5,
    margin_left: 0.5,
    margin_right: 0.5,
    length_unit: "cm",
    landscape: true
  }
)

a4 = Template.where(canned_id: "a4").first_or_create
a4.update(
  {
    name: "A4",
    desc: "Standard A4 paper",
    width: 21.0,
    height: 29.7,
    margin_top: 1,
    margin_bottom: 1.5,
    margin_left: 0.5,
    margin_right: 0.5,
    length_unit: "cm"
  }
)
a4_landscape = Template.where(canned_id: "a4_landscape").first_or_create
a4_landscape.update(
  {
    name: "A4 (Landscape)",
    desc: "Standard A4 paper (Rotated)",
    width: 21.0,
    height: 29.7,
    margin_top: 1,
    margin_bottom: 1.5,
    margin_left: 0.5,
    margin_right: 0.5,
    length_unit: "cm",
    landscape: true
  }
)

legal = Template.where(canned_id: "legal").first_or_create
legal.update(
  {
    name: "Legal",
    desc: "Standard legal paper",
    width: 21.6,
    height: 35.6,
    margin_top: 1,
    margin_bottom: 1.5,
    margin_left: 0.5,
    margin_right: 0.5,
    length_unit: "cm"
  }
)
legal_landscape = Template.where(canned_id: "legal_landscape").first_or_create
legal_landscape.update(
  {
    name: "Legal (Landscape)",
    desc: "Standard legal paper (Rotated)",
    width: 21.6,
    height: 35.6,
    margin_top: 1,
    margin_bottom: 1.5,
    margin_left: 0.5,
    margin_right: 0.5,
    length_unit: "cm",
    landscape: true
  }
)
